# Uses of Class
javafx.scene.web.WebEvent

Packages that use WebEvent
Package
Description
javafx.scene.web
This package provides means for loading and displaying Web content.

## Uses of WebEvent in javafx.scene.web

Fields in javafx.scene.web with type parameters of type WebEvent
Modifier and Type
Field
Description
`static final EventType<WebEvent>`
WebEvent.`ALERT`
This event occurs when a script calls the JavaScript `alert` function.
`static final EventType<WebEvent>`
WebEvent.`ANY`
Common supertype for all Web event types.
`static final EventType<WebEvent>`
WebEvent.`RESIZED`
This event occurs when a script changes location of the JavaScript `window` object.
`static final EventType<WebEvent>`
WebEvent.`STATUS_CHANGED`
This event occurs when a script changes status line text.
`static final EventType<WebEvent>`
WebEvent.`VISIBILITY_CHANGED`
This event occurs when a script changes visibility of the JavaScript `window` object.
Methods in javafx.scene.web that return types with arguments of type WebEvent
Modifier and Type
Method
Description
`final EventHandler<WebEvent<String>>`
WebEngine.`getOnAlert()`
Gets the value of the `onAlert` property.
`final EventHandler<WebEvent<Rectangle2D>>`
WebEngine.`getOnResized()`
Gets the value of the `onResized` property.
`final EventHandler<WebEvent<String>>`
WebEngine.`getOnStatusChanged()`
Gets the value of the `onStatusChanged` property.
`final EventHandler<WebEvent<Boolean>>`
WebEngine.`getOnVisibilityChanged()`
Gets the value of the `onVisibilityChanged` property.
`final ObjectProperty<EventHandler<WebEvent<String>>>`
WebEngine.`onAlertProperty()`
JavaScript `alert` handler property.
`final ObjectProperty<EventHandler<WebEvent<Rectangle2D>>>`
WebEngine.`onResizedProperty()`
JavaScript window resize handler property.
`final ObjectProperty<EventHandler<WebEvent<String>>>`
WebEngine.`onStatusChangedProperty()`
JavaScript status handler property.
`final ObjectProperty<EventHandler<WebEvent<Boolean>>>`
WebEngine.`onVisibilityChangedProperty()`
JavaScript window visibility handler property.
Method parameters in javafx.scene.web with type arguments of type WebEvent
Modifier and Type
Method
Description
`final void`
WebEngine.`setOnAlert(EventHandler<WebEvent<String>> handler)`
Sets the value of the `onAlert` property.
`final void`
WebEngine.`setOnResized(EventHandler<WebEvent<Rectangle2D>> handler)`
Sets the value of the `onResized` property.
`final void`
WebEngine.`setOnStatusChanged(EventHandler<WebEvent<String>> handler)`
Sets the value of the `onStatusChanged` property.
`final void`
WebEngine.`setOnVisibilityChanged(EventHandler<WebEvent<Boolean>> handler)`
Sets the value of the `onVisibilityChanged` property.
Constructor parameters in javafx.scene.web with type arguments of type WebEvent
Modifier
Constructor
Description
``
`WebEvent(Object source, EventType<WebEvent> type, T data)`
Creates a new event object.